org.eclipse.wst.jsdt.core.dom

## Class Modifier.ModifierKeyword

- java.lang.Object
- - org.eclipse.wst.jsdt.core.dom.Modifier.ModifierKeyword

Enclosing class:
  Modifier

    public static class Modifier.ModifierKeyword
    extends java.lang.Object

Modifier keywords (typesafe enumeration).

### Field Summary

Fields
`static Modifier.ModifierKeyword` `ABSTRACT_KEYWORD` "abstract" modifier with flag value `Modifier.ABSTRACT`.
`static Modifier.ModifierKeyword` `FINAL_KEYWORD` "final" modifier with flag value `Modifier.FINAL`.
`static Modifier.ModifierKeyword` `GET_KEYWORD` "get" modifier with flag value `Modifier.GET`.
`static Modifier.ModifierKeyword` `NATIVE_KEYWORD` "native" modifier with flag value `Modifier.NATIVE`.
`static Modifier.ModifierKeyword` `PRIVATE_KEYWORD` "private" modifier with flag value `Modifier.PRIVATE`.
`static Modifier.ModifierKeyword` `PROTECTED_KEYWORD` "protected" modifier with flag value `Modifier.PROTECTED`.
`static Modifier.ModifierKeyword` `PUBLIC_KEYWORD` "public" modifier with flag value `Modifier.PUBLIC`.
`static Modifier.ModifierKeyword` `SET_KEYWORD` "set" modifier with flag value `Modifier.SET`.
`static Modifier.ModifierKeyword` `STATIC_KEYWORD` "static" modifier with flag value `Modifier.STATIC`.
`static Modifier.ModifierKeyword` `STRICTFP_KEYWORD` "strictfp" modifier with flag value `Modifier.STRICTFP`.
`static Modifier.ModifierKeyword` `SYNCHRONIZED_KEYWORD` "synchronized" modifier with flag value `Modifier.SYNCHRONIZED`.
`static Modifier.ModifierKeyword` `TRANSIENT_KEYWORD` "transient" modifier with flag value `Modifier.TRANSIENT`.
`static Modifier.ModifierKeyword` `VOLATILE_KEYWORD` "volatile" modifier with flag value `Modifier.VOLATILE`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Modifier.ModifierKeyword` `fromFlagValue(int flagValue)` Returns the modifier corresponding to the given single-bit flag value, or `null` if none or if more than one bit is set.
`int` `toFlagValue()` Returns the modifier flag value corresponding to this modifier keyword.
`static Modifier.ModifierKeyword` `toKeyword(java.lang.String keyword)` Returns the modifier corresponding to the given string, or `null` if none.
`java.lang.String` `toString()` Returns the keyword for the modifier.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ABSTRACT_KEYWORD

    public static final Modifier.ModifierKeyword ABSTRACT_KEYWORD

"abstract" modifier with flag value `Modifier.ABSTRACT`.

#### FINAL_KEYWORD

    public static final Modifier.ModifierKeyword FINAL_KEYWORD

"final" modifier with flag value `Modifier.FINAL`.

#### NATIVE_KEYWORD

    public static final Modifier.ModifierKeyword NATIVE_KEYWORD

"native" modifier with flag value `Modifier.NATIVE`.

#### PRIVATE_KEYWORD

    public static final Modifier.ModifierKeyword PRIVATE_KEYWORD

"private" modifier with flag value `Modifier.PRIVATE`.

#### PROTECTED_KEYWORD

    public static final Modifier.ModifierKeyword PROTECTED_KEYWORD

"protected" modifier with flag value `Modifier.PROTECTED`.

#### PUBLIC_KEYWORD

    public static final Modifier.ModifierKeyword PUBLIC_KEYWORD

"public" modifier with flag value `Modifier.PUBLIC`.

#### STATIC_KEYWORD

    public static final Modifier.ModifierKeyword STATIC_KEYWORD

"static" modifier with flag value `Modifier.STATIC`.

#### STRICTFP_KEYWORD

    public static final Modifier.ModifierKeyword STRICTFP_KEYWORD

"strictfp" modifier with flag value `Modifier.STRICTFP`.

#### SYNCHRONIZED_KEYWORD

    public static final Modifier.ModifierKeyword SYNCHRONIZED_KEYWORD

"synchronized" modifier with flag value `Modifier.SYNCHRONIZED`.

#### TRANSIENT_KEYWORD

    public static final Modifier.ModifierKeyword TRANSIENT_KEYWORD

"transient" modifier with flag value `Modifier.TRANSIENT`.

#### VOLATILE_KEYWORD

    public static final Modifier.ModifierKeyword VOLATILE_KEYWORD

"volatile" modifier with flag value `Modifier.VOLATILE`.

#### GET_KEYWORD

    public static final Modifier.ModifierKeyword GET_KEYWORD

"get" modifier with flag value `Modifier.GET`.

Since:
  2.0

#### SET_KEYWORD

    public static final Modifier.ModifierKeyword SET_KEYWORD

"set" modifier with flag value `Modifier.SET`.

Since:
  2.0

### Method Detail

#### fromFlagValue

    public static Modifier.ModifierKeyword fromFlagValue(int flagValue)

Returns the modifier corresponding to the given single-bit flag value, or `null` if none or if more than one bit is set.

`fromFlagValue` is the converse of `toFlagValue`: that is, `ModifierKind.fromFlagValue(k.toFlagValue()) == k` for all modifier keywords `k`.

Parameters:
  `flagValue` - the single-bit flag value for the modifier
Returns:
  the modifier keyword, or `null` if none
See Also:
  `toFlagValue()`

#### toKeyword

    public static Modifier.ModifierKeyword toKeyword(java.lang.String keyword)

Returns the modifier corresponding to the given string, or `null` if none.

`toKeyword` is the converse of `toString`: that is, `ModifierKind.toKeyword(k.toString()) == k` for all modifier keywords `k`.

Parameters:
  `keyword` - the lowercase string name for the modifier
Returns:
  the modifier keyword, or `null` if none
See Also:
  `toString()`

#### toFlagValue

    public int toFlagValue()

Returns the modifier flag value corresponding to this modifier keyword.

Returns:
  one of the `Modifier` constants
See Also:
  `fromFlagValue(int)`

#### toString

    public java.lang.String toString()

Returns the keyword for the modifier.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the keyword for the modifier
See Also:
  `toKeyword(String)`